forth: Config59x9
(* Change DCO frequency, MS, pin & port for S? & baudrate for MSP430FR59x9

This table is stored in info FRAM at address FROZEN2
The documented table is the default table!
A few examples are shown below, just fiddle with the backslashes

Address Offset  Value   Function
------------------------------------------------------------------------
1972     00     0F9F    MS# for MS \ MS# = (ClockFreq/4000)-1
1974     02       10    FRCTL0, FRAM wait states
1975     03       48    CSCTL1, DCO frequency
1976     04       00    eUSCI (00=eUSCI0, 06=eUSCI1)
1977     05       02    Port bit mask for switch S?
1978     06     0200    PxIN, port address for S?
197A     08     0008    UCAxBR, Baud rate
197C     0A     F7A1    UCAxMCTLW, Baud rate
197E     0C     FFFF    Not used

MS = Millisec, /MS = 100 Microsec,  //MS = 10 Microsec.
    CLOCK   MS      /MS     //MS
    24 mhz  5999    599     59
    20 mhz  4999    499     49
    16 mhz  3999    399     39
    12 mhz  2999    299     29
    8 mhz   1999    199     19
    4 mhz   999     99      9
    2 mhz   499     49      4
    1 mhz   249     24      2
    32 khz  4       -       -

*)

create CONFIG-TABLE
\ *** eUSCI-1 ***
\   0F9 , 00 c, 00 c, 6 c, 02 c, 200 , 08 , D600 , FFFF , \ MS=O249, 0 Wait,  1MHz, eUSCI-1, P1.1, 115K2
\   3E7 , 00 c, 06 c, 6 c, 02 c, 200 , 02 , BB21 , FFFF , \ MS=0999, 0 Wait,  4MHz, eUSCI-1, P1.1, 115K2
\   7CF , 00 c, 0C c, 6 c, 02 c, 200 , 34 , 4911 , FFFF , \ MS=1999, 0 Wait,  8MHz, eUSCI-1, P1.1, 9600B
\   7CF , 00 c, 0C c, 6 c, 02 c, 200 , 04 , 5551 , FFFF , \ MS=1999, 0 Wait,  8MHz, eUSCI-1, P1.1, 115K2
\   F9F , 10 c, 48 c, 6 c, 80 c, 201 , 68 , D621 , FFFF , \ MS=3999, 1 Wait, 16MHz, eUSCI-1, P2.7, 9600B Cosey
\   F9F , 10 c, 48 c, 6 c, 80 c, 201 , 08 , F7A1 , FFFF , \ MS=3999, 1 Wait, 16MHz, eUSCI-1, P2.7, 115K2 Cosey

\ *** eUSCI-0 ***
\   0F9 , 00 c, 00 c, 0 c, 02 c, 200 , 08 , D600 , FFFF , \ MS=O249, 0 Wait,  1MHz, eUSCI-0, P1.1, 115K2
\   3E7 , 00 c, 06 c, 0 c, 02 c, 200 , 02 , BB21 , FFFF , \ MS=0999, 0 Wait,  4MHz, eUSCI-0, P1.1, 115K2
\   7CF , 00 c, 0C c, 0 c, 02 c, 200 , 34 , 4911 , FFFF , \ MS=1999, 0 Wait,  8MHz, eUSCI-0, P1.1, 9600B
\   7CF , 00 c, 0C c, 0 c, 02 c, 200 , 08 , F7A1 , FFFF , \ MS=1999, 0 Wait,  8MHz, eUSCI-0, P1.1, 57K6
\   7CF , 00 c, 0C c, 0 c, 02 c, 200 , 04 , 5551 , FFFF , \ MS=1999, 0 Wait,  8MHz, eUSCI-0, P1.1, 115K2
\   F9F , 10 c, 48 c, 0 c, 02 c, 200 , 68 , D621 , FFFF , \ MS=3999, 1 Wait, 16MHz, eUSCI-0, P1.1, 9600B
\   F9F , 10 c, 48 c, 0 c, 80 c, 201 , 68 , D621 , FFFF , \ MS=3999, 1 Wait, 16MHz, eUSCI-1, P2.7, 9600B
\   F9F , 10 c, 48 c, 0 c, 02 c, 200 , 11 , DD51 , FFFF , \ MS=3999, 1 Wait, 16MHz, eUSCI-0, P1.1, 57K6
\   F9F , 10 c, 48 c, 0 c, 02 c, 200 , 08 , F7A1 , FFFF , \ MS=3999, 1 Wait, 16MHz, eUSCI-0, P1.1, 115K2 FR5969 <<
\   F9F , 10 c, 48 c, 0 c, 01 c, 320 , 1A , B601 , FFFF , \ MS=3999, 1 Wait, 16MHz, eUSCI-0, PJ.0, 38K4  MLP FR5
\   F9F , 10 c, 48 c, 0 c, 01 c, 320 , 11 , DD51 , FFFF , \ MS=3999, 1 Wait, 16MHz, eUSCI-0, PJ.0, 57K6  MLP FR5
    F9F , 10 c, 48 c, 0 c, 01 c, 320 , 08 , F7A1 , FFFF , \ MS=3999, 1 Wait, 16MHz, eUSCI-0, PJ.0, 115K2 MLP FR5


v: inside
: NEW>CONFIG ( -- )
    config-table  [ ' frozen >body cell+ @ ] literal  0E {info move info} ;
v: forth

new>config

\ End ;;;
